/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.aliyuncs.fss_api.model.v20190917;

import com.aliyuncs.AcsResponse;
import com.aliyuncs.fss_api.transform.v20190917.QueryLicenseResponseUnmarshaller;
import com.aliyuncs.transform.UnmarshallerContext;

/**
 * @author auto create
 * @version 
 */
public class QueryLicenseResponse extends AcsResponse {

	private String requestId;

	private Integer code;

	private String message;

	private String helpUrl;

	private Data data;

	public String getRequestId() {
		return this.requestId;
	}

	public void setRequestId(String requestId) {
		this.requestId = requestId;
	}

	public Integer getCode() {
		return this.code;
	}

	public void setCode(Integer code) {
		this.code = code;
	}

	public String getMessage() {
		return this.message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getHelpUrl() {
		return this.helpUrl;
	}

	public void setHelpUrl(String helpUrl) {
		this.helpUrl = helpUrl;
	}

	public Data getData() {
		return this.data;
	}

	public void setData(Data data) {
		this.data = data;
	}

	public static class Data {

		private Integer usedCount;

		private Integer maxCount;

		private Integer scanningCount;

		public Integer getUsedCount() {
			return this.usedCount;
		}

		public void setUsedCount(Integer usedCount) {
			this.usedCount = usedCount;
		}

		public Integer getMaxCount() {
			return this.maxCount;
		}

		public void setMaxCount(Integer maxCount) {
			this.maxCount = maxCount;
		}

		public Integer getScanningCount() {
			return this.scanningCount;
		}

		public void setScanningCount(Integer scanningCount) {
			this.scanningCount = scanningCount;
		}
	}

	@Override
	public QueryLicenseResponse getInstance(UnmarshallerContext context) {
		return	QueryLicenseResponseUnmarshaller.unmarshall(this, context);
	}

	@Override
	public boolean checkShowJsonItemName() {
		return false;
	}
}
