/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.aliyuncs.fss_api.transform.v20190917;

import com.aliyuncs.fss_api.model.v20190917.DeleteScanTaskResponse;
import com.aliyuncs.transform.UnmarshallerContext;


public class DeleteScanTaskResponseUnmarshaller {

	public static DeleteScanTaskResponse unmarshall(DeleteScanTaskResponse deleteScanTaskResponse, UnmarshallerContext _ctx) {
		
		deleteScanTaskResponse.setRequestId(_ctx.stringValue("DeleteScanTaskResponse.RequestId"));
		deleteScanTaskResponse.setCode(_ctx.integerValue("DeleteScanTaskResponse.Code"));
		deleteScanTaskResponse.setMessage(_ctx.stringValue("DeleteScanTaskResponse.Message"));
		deleteScanTaskResponse.setHelpUrl(_ctx.stringValue("DeleteScanTaskResponse.HelpUrl"));
	 
	 	return deleteScanTaskResponse;
	}
}